(* Программа err1.pas открывает файл с обработкой ошибок *)
uses linux;

var
  fd:integer;
begin

  fd := fdopen ('nonesuch', Open_RDONLY);
  if fd=-1 then
    writeln(stderr, 'Ошибка ', linuxerror);
end.
